%define version_nodot 292 
%define _desktopdir %{_datadir}/applications
Name:           aoi
Version:        2.9.2
Release:        %mkrel 8

Summary:        3D modeling and rendering studio Written in Java
URL:            http://www.artofillusion.org
Group:          Graphics/3D

Source0:        %{name}src%{version_nodot}.zip
Source1:        jmf-2_1_1e-alljava.zip
Patch0:         aoi-2.9.2-mga-encoding.patch

License:        GPLv2+

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  jogl
BuildRequires:  bsh
BuildRequires:  jama
BuildRequires:  dos2unix
BuildRequires:  buoy
BuildRequires:  xml-commons-apis
BuildRequires:  xerces-j2
BuildRequires:  java-devel

Requires:       java >= 1.5
Requires:       bsh
Recommends:     jogl
Requires:       jama
Requires:       gluegen
Requires:       buoy

Provides:       artofillusion = %{version}-%{release}
Provides:       ArtOfIllusion = %{version}-%{release}

%description
Art of Illusion is a free, open source 3D modeling and rendering studio.
Many of its capabilities rival those found in commercial programs.
Highlights include subdivision surface based modeling tools,
skeleton based animation, and a graphical language 
for designing procedural textures and materials.


%files
%doc LICENSE HISTORY README-source
%{_bindir}/%{name}
%{_datadir}/%{name}/ArtOfIllusion.jar
%{_datadir}/%{name}/Plugins
%{_desktopdir}/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

#--------------------------------------------------------------------

%prep
%setup -q -a1 -n AoIsrc%{version_nodot}
# We only use this jar for build, not inclued in %%files.
mv JMF-2.1.1e/lib/jmf.jar .
%autopatch -p1

%build
export CLASSPATH="."
%ant -buildfile ArtOfIllusion.xml

%install
# Installs the jar
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/Plugins
%__install -m 644 ArtOfIllusion.jar %{buildroot}%{_datadir}/%{name}

# Install the script
cat > %{name} <<EOF
#!/bin/sh

AOI_CLASSPATH=/usr/share/java/buoy.jar:/usr/share/java/buoyx.jar:/usr/share/java/jama.jar:/usr/share/java/jogl.jar:/usr/share/java/bsh.jar:/usr/share/aoi/ArtOfIllusion.jar:/usr/share/java/gluegen.jar:

java -cp \$AOI_CLASSPATH artofillusion.ArtOfIllusion

EOF
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}

# convert win32 EOL to unix EOL
dos2unix LICENSE
dos2unix HISTORY
dos2unix README-source

# icons
%__install -d -m755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 HelpPlugin/AOIHelp/helpset/Overview/images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# desktopfile
%__install -d -m755 %{buildroot}%{_desktopdir}
cat > %{buildroot}%{_desktopdir}/%{name}.desktop << EOF
[Desktop Entry]
Name=Art of Illusion
Name[ru]=Искусство иллюзии
GenericName=3D modelling and rendering studio
GenericName[ru]=Студия 3D моделирования и рендеринга
Comment=3D modelling and rendering studio Written in Java
Comment[ru]=Студия 3D моделирования и рендеринга, написанная на Java
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;
EOF


%changelog
* Mon Jul 04 2016 pterjan <pterjan> 2.9.2-8.mga6
+ Revision: 1038661
- Only recommend jogl, it is not mandatory and does not exist on arm

* Sat Feb 27 2016 umeabot <umeabot> 2.9.2-7.mga6
+ Revision: 980179
- Mageia 6 Mass Rebuild

* Sat Nov 22 2014 alexl <alexl> 2.9.2-6.mga5
+ Revision: 798261
- translated desktop file into Russian

* Fri Oct 31 2014 pterjan <pterjan> 2.9.2-5.mga5
+ Revision: 794862
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.2-4.mga5
+ Revision: 746409
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.2-3.mga5
+ Revision: 677785
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.9.2-2.mga4
+ Revision: 536061
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 barjac <barjac> 2.9.2-1.mga4
+ Revision: 483100
+ rebuild (emptylog)

* Sat Sep 21 2013 barjac <barjac> 2.9.2-0.mga4
+ Revision: 482977
- new version 2.9.2

* Mon Jul 22 2013 barjac <barjac> 2.8.1-5.mga4
+ Revision: 457028
- remove obsolete BR to fix build

* Fri Jan 11 2013 umeabot <umeabot> 2.8.1-4.mga3
+ Revision: 345626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 barjac <barjac> 2.8.1-3.mga3
+ Revision: 336463
- update group
- clean spec
- fix build - patched odd characters in comments

* Wed May 11 2011 dmorgan <dmorgan> 2.8.1-2.mga1
+ Revision: 97125
- Add some provives

* Wed May 11 2011 dmorgan <dmorgan> 2.8.1-1.mga1
+ Revision: 97102
- imported package aoi


* Mon Feb 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.8.1-1mdv2010.1
+ Revision: 506020
- import aoi


* Fri Feb 12 2010 Jonathan Bayle <hide@mrhide.fr> 2.8.1-1mdv2010.0
- new package



